<?php
/*
 * tags_controller.php created on Jul 10, 2006
 *
 * @copyright Dr. Tarique Sani, tarique@sanisoft.com
 * @license http://opensource.org/licenses/gpl-license.php GNU General Public License V2
 * @package cheeseCake
 * @version $Id$
 */
 class TagsController extends AppController
 {
 	var $name = "Tags";
    var $helpers = array('Html','Javascript','Cheese','Pagination');

    var $rdAccess = array('add' => array('Admin'),
                          'save' => array('Admin'),
                          'delete'=> array('Admin')
                         );

	var $components = array('Pagination','rss');

 	function index(){
 		$prefix = $this->Tag->tablePrefix;
 		$this->set('tags', $this->Tag->query("SELECT tags. * , count( photos_tags.tag_id ) photoCount
														FROM {$prefix}tags tags
														LEFT JOIN {$prefix}photos_tags photos_tags ON tags.id = photos_tags.tag_id
														GROUP BY tags.id
														ORDER BY tags.tag"));

		$this->pageTitle = $this->pageTitle = $this->siteName.' - Browse Tags!';
		$this->set('browsing',"Tags");
 	}

 	function delete($id){
		if($this->Tag->del($id)){
			$this->Session->setFlash('The selected Tag has been deleted successfully');
		}else{
			$this->Session->setFlash('The Tag could not be deleted');
		}
		$this->redirect('/tags/');
 	}

  	function save(){
  		if(!empty($this->params['data']['Tag']['id'])){
	  		if($this->Tag->save($this->params['data'])){
	                $this->Session->setFlash('Selected Tag was updated successfully');

	        }
  		}
  		$this->redirect('/tags/');
  	}
 }
?>
